import { useCallback, useRef } from "react";
const useMemoizedFn = (fn) => {
    const ref = useRef(fn);
    ref.current = fn;
    // @ts-ignore
    return useCallback((...params) => {
        const f = ref.current;
        return f === null || f === void 0 ? void 0 : f(...params);
    }, []);
};
export default useMemoizedFn;
//# sourceMappingURL=useMemoizedFn.js.map